# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rbot}
  s.version = "0.9.15"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tom Gilbert"]
  s.date = %q{2010-06-27}
  s.default_executable = %q{rbot}
  s.description = %q{    A modular ruby IRC bot specifically designed for ease of extension via plugins.
}
  s.email = %q{tom@linuxbrit.co.uk}
  s.executables = ["rbot", "rbot-remote"]
  s.files = ["lib/rbot/compat19.rb", "lib/rbot/core/wordlist_ui.rb", "lib/rbot/core/filters_ui.rb", "lib/rbot/core/remote.rb", "lib/rbot/core/basics.rb", "lib/rbot/core/utils/filters.rb", "lib/rbot/core/utils/utils.rb", "lib/rbot/core/utils/wordlist.rb", "lib/rbot/core/utils/parse_time.rb", "lib/rbot/core/utils/httputil.rb", "lib/rbot/core/utils/extends.rb", "lib/rbot/core/unicode.rb", "lib/rbot/core/userdata.rb", "lib/rbot/core/config.rb", "lib/rbot/core/auth.rb", "lib/rbot/core/irclog.rb", "lib/rbot/pkgconfig.rb", "lib/rbot/botuser.rb", "lib/rbot/irc.rb", "lib/rbot/rbotconfig.rb", "lib/rbot/load-gettext.rb", "lib/rbot/messagemapper.rb", "lib/rbot/rfc2812.rb", "lib/rbot/ircsocket.rb", "lib/rbot/ircbot.rb", "lib/rbot/language.rb", "lib/rbot/plugins.rb", "lib/rbot/message.rb", "lib/rbot/config-compat.rb", "lib/rbot/post-clean.rb", "lib/rbot/timer.rb", "lib/rbot/post-config.rb", "lib/rbot/registry/tc.rb", "lib/rbot/registry/bdb.rb", "lib/rbot/maskdb.rb", "lib/rbot/config.rb", "data/rbot/plugins/search.rb", "data/rbot/plugins/host.rb", "data/rbot/plugins/rss.rb", "data/rbot/plugins/alias.rb", "data/rbot/plugins/note.rb", "data/rbot/plugins/httpd.rb.disabled", "data/rbot/plugins/delicious.rb", "data/rbot/plugins/youtube.rb", "data/rbot/plugins/tumblr.rb", "data/rbot/plugins/figlet.rb", "data/rbot/plugins/math.rb", "data/rbot/plugins/theyfightcrime.rb", "data/rbot/plugins/markov.rb", "data/rbot/plugins/script.rb", "data/rbot/plugins/wall.rb", "data/rbot/plugins/insult.rb", "data/rbot/plugins/deepthoughts.rb", "data/rbot/plugins/url.rb", "data/rbot/plugins/remind.rb", "data/rbot/plugins/plugin.header", "data/rbot/plugins/salut.rb", "data/rbot/plugins/remotectl.rb", "data/rbot/plugins/autoop.rb", "data/rbot/plugins/slashdot.rb", "data/rbot/plugins/factoids.rb", "data/rbot/plugins/nslookup.rb", "data/rbot/plugins/imdb.rb", "data/rbot/plugins/seen.rb", "data/rbot/plugins/geoip.rb", "data/rbot/plugins/twitter.rb", "data/rbot/plugins/spell.rb", "data/rbot/plugins/lib_spotify.rb", "data/rbot/plugins/ri.rb", "data/rbot/plugins/tube.rb", "data/rbot/plugins/lastfm.rb", "data/rbot/plugins/nickrecover.rb", "data/rbot/plugins/linkbot.rb", "data/rbot/plugins/topic.rb", "data/rbot/plugins/reaction.rb", "data/rbot/plugins/shortenurls.rb", "data/rbot/plugins/spotify.rb", "data/rbot/plugins/dice.rb", "data/rbot/plugins/debugger.rb", "data/rbot/plugins/urban.rb", "data/rbot/plugins/grouphug.rb", "data/rbot/plugins/cal.rb", "data/rbot/plugins/greet.rb", "data/rbot/plugins/wow.rb", "data/rbot/plugins/digg.rb", "data/rbot/plugins/botsnack.rb", "data/rbot/plugins/quakeauth.rb", "data/rbot/plugins/keywords.rb", "data/rbot/plugins/excuse.rb", "data/rbot/plugins/googlefight.rb", "data/rbot/plugins/dict.rb", "data/rbot/plugins/fortune.rb", "data/rbot/plugins/usermodes.rb", "data/rbot/plugins/iplookup.rb", "data/rbot/plugins/bash.rb", "data/rbot/plugins/chanserv.rb", "data/rbot/plugins/modes.rb", "data/rbot/plugins/nickserv.rb", "data/rbot/plugins/games/azgame.rb", "data/rbot/plugins/games/wheelfortune.rb", "data/rbot/plugins/games/shiritori.rb", "data/rbot/plugins/games/hangman.rb", "data/rbot/plugins/games/quiz.rb", "data/rbot/plugins/games/roshambo.rb", "data/rbot/plugins/games/uno.rb", "data/rbot/plugins/games/roulette.rb", "data/rbot/plugins/freshmeat.rb", "data/rbot/plugins/quotes.rb", "data/rbot/plugins/bans.rb", "data/rbot/plugins/dictclient.rb", "data/rbot/plugins/rot13.rb", "data/rbot/plugins/karma.rb", "data/rbot/plugins/chucknorris.rb", "data/rbot/plugins/forecast.rb", "data/rbot/plugins/hl2.rb", "data/rbot/plugins/wserver.rb", "data/rbot/plugins/eightball.rb", "data/rbot/plugins/chucknorris.yml.gz", "data/rbot/plugins/time.rb", "data/rbot/plugins/threat.rb", "data/rbot/plugins/autorejoin.rb", "data/rbot/plugins/translator.rb", "data/rbot/plugins/weather.rb", "data/rbot/plugins/lart.rb", "data/rbot/filters/rss.rb", "data/rbot/contrib/plugins/vandale.rb", "data/rbot/contrib/plugins/stats.rb", "data/rbot/languages/russian.lang", "data/rbot/languages/dutch.lang", "data/rbot/languages/italian.lang", "data/rbot/languages/finnish.lang", "data/rbot/languages/german.lang", "data/rbot/languages/english.lang", "data/rbot/languages/french.lang", "data/rbot/languages/japanese.lang", "data/rbot/languages/traditional_chinese.lang", "data/rbot/templates/keywords.rbot", "data/rbot/templates/salut/salut-japanese", "data/rbot/templates/salut/salut-english", "data/rbot/templates/salut/salut-french", "data/rbot/templates/salut/salut-italian", "data/rbot/templates/lart/larts-english", "data/rbot/templates/lart/praises-japanese", "data/rbot/templates/lart/praises-italian", "data/rbot/templates/lart/larts-italian", "data/rbot/templates/lart/praises-english", "data/rbot/templates/lart/larts-japanese", "data/rbot/templates/quiz/win_messages", "bin/rbot", "bin/rbot-remote"]
  s.homepage = %q{http://ruby-rbot.org}
  s.rdoc_options = ["--exclude", "post-install.rb", "--title", "rbot API Documentation", "--main", "README", "README"]
  s.require_paths = ["lib"]
  s.requirements = ["Ruby, version 1.8.0 (or newer)"]
  s.rubyforge_project = %q{rbot}
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{A modular ruby IRC bot.}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
